unit MmrHintPropEditor;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Buttons, DsgnIntf, ExtCtrls;

type

  TMmrHintProperty = class(TCaptionProperty)
  public
    procedure Edit; override;
    function GetAttributes: TPropertyAttributes; override;
  end;

  TMmrHintPropertyForm = class(TForm)
    BitBtn1: TBitBtn;
    BitBtn2: TBitBtn;
    Memo1: TMemo;
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  MmrHintPropertyForm: TMmrHintPropertyForm;

implementation

{$R *.DFM}

procedure TMmrHintProperty.Edit;
begin
  MmrHintPropertyForm:=TMmrHintPropertyForm.Create(Application);
  with MmrHintPropertyForm do
  try
    Memo1.Text:=GetStrValue;
    if ShowModal=mrOk then
      SetStrValue(Memo1.Text);
  finally
    Free;
  end;
end;

function TMmrHintProperty.GetAttributes: TPropertyAttributes;
begin
  Result := [paDialog];//, paRevertable];
end;

end.
